<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.io
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.io package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.io";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/factory/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jbase/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/io/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package ch.javasoft.io
</H2>
The <tt>io</tt> package contains input/output classes; these classes have a
more or less strong relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/package-summary.html"><CODE>java.io</CODE></A>.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/AbstractDataInput.html" title="class in ch.javasoft.io">AbstractDataInput</A></B></TD>
<TD>The <tt>AbstractDataInput</tt> class implements most methods of
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataInput.html" title="class or interface in java.io"><CODE>DataInput</CODE></A>, leaving only the following methods for subclasses: 
 
 <A HREF="../../../ch/javasoft/io/AbstractDataInput.html#read()"><CODE>AbstractDataInput.read()</CODE></A>
 <A HREF="../../../ch/javasoft/io/AbstractDataInput.html#peek()"><CODE>AbstractDataInput.peek()</CODE></A>
 <A HREF="../../../ch/javasoft/io/AbstractDataInput.html#read(byte[], int, int)"><CODE>AbstractDataInput.read(byte[], int, int)</CODE></A>
 <A HREF="../../../ch/javasoft/io/AbstractDataInput.html#skipBytes(int)"><CODE>AbstractDataInput.skipBytes(int)</CODE></A>
 </TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/AbstractDataOutput.html" title="class in ch.javasoft.io">AbstractDataOutput</A></B></TD>
<TD>The <tt>AbstractDataOutput</tt> class implements most methods of
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io"><CODE>DataOutput</CODE></A>, leaving only the following methods for subclasses: 
 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html#write(int)" title="class or interface in java.io"><CODE>DataOutput.write(int)</CODE></A>
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html#write(byte[], int, int)" title="class or interface in java.io"><CODE>DataOutput.write(byte[], int, int)</CODE></A>
 </TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/DataInputInputStream.html" title="class in ch.javasoft.io">DataInputInputStream</A></B></TD>
<TD><tt>DataInputInputStream</tt> is an input stream which allows writing to 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataInput.html" title="class or interface in java.io"><CODE>DataInput</CODE></A> objects.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/DataOutputOutputStream.html" title="class in ch.javasoft.io">DataOutputOutputStream</A></B></TD>
<TD><tt>DataOutputOutputStream</tt> is an output stream which allows writing to 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io"><CODE>DataOutput</CODE></A> objects.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/FileEndingFileFilter.html" title="class in ch.javasoft.io">FileEndingFileFilter</A></B></TD>
<TD>File filter by ending (e.g.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/Files.html" title="class in ch.javasoft.io">Files</A></B></TD>
<TD>Utility class with static methods for file handling, e.g.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/LengthTrackingOutputStream.html" title="class in ch.javasoft.io">LengthTrackingOutputStream</A></B></TD>
<TD>The <tt>LengthTrackingOutputStream</tt> simply pipes the data written to it
 to an underlying output stream, but tracks the length of the written bytes
 at the same time.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/NullInputStream.html" title="class in ch.javasoft.io">NullInputStream</A></B></TD>
<TD>The <code>NullInputStream</code> reads from /dev/null, which means that
 all the read methods always return -1, indicating that the end of the stream
 has been reached.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/NullOutputStream.html" title="class in ch.javasoft.io">NullOutputStream</A></B></TD>
<TD>The <code>NullOutputStream</code> writes to /dev/null, which means that
 everything which is written to this output stream is simply ignored and
 goes to nowhere.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/Print.html" title="class in ch.javasoft.io">Print</A></B></TD>
<TD>Helper class with static creation methods for <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io"><CODE>PrintWriter</CODE></A>s and
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io"><CODE>PrintStream</CODE></A>s from various sources.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/PrintDataOutputStream.html" title="class in ch.javasoft.io">PrintDataOutputStream</A></B></TD>
<TD>A <code>PrintStream</code> which implements <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io"><CODE>DataOutput</CODE></A> at
 the same time.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/ReaderInputStream.html" title="class in ch.javasoft.io">ReaderInputStream</A></B></TD>
<TD>Similar to the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStreamReader.html" title="class or interface in java.io"><CODE>InputStreamReader</CODE></A> as a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io"><CODE>Reader</CODE></A>
 reading from an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io"><CODE>InputStream</CODE></A>, this <code>ReaderInputStream</code>
 is an <code>InputStream</code> reading from underlying <code>Reader</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/Streams.html" title="class in ch.javasoft.io">Streams</A></B></TD>
<TD>Helper class with static methods related to input/output streams</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../ch/javasoft/io/WriterOutputStream.html" title="class in ch.javasoft.io">WriterOutputStream</A></B></TD>
<TD>Similar to the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStreamWriter.html" title="class or interface in java.io"><CODE>OutputStreamWriter</CODE></A> as a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io"><CODE>Writer</CODE></A>
 printing to an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io"><CODE>OutputStream</CODE></A>, this <code>WriterOutputStream</code>
 is an <code>OutputStream</code> printing to an underlying <code>Writer</code>.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package ch.javasoft.io Description
</H2>

<P>
The <tt>io</tt> package contains input/output classes; these classes have a
more or less strong relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/package-summary.html"><CODE>java.io</CODE></A>.
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/factory/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jbase/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/io/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
